# Adding Hyperlinks to Excel File Based on Image Existence

This Python script demonstrates how to add hyperlinks to an Excel file based on the existence of corresponding images. It iterates over each sheet in the Excel file, searches for a specified column containing image IDs, and creates hyperlinks to the corresponding images if they exist.

## Usage

### 1. Installation

Ensure you have Python installed on your system. You can download it from [here](https://www.python.org/downloads/).

Install the required Python packages using pip:

```bash
pip install openpyxl
```

### 2. Running the Script

1. Place the Python script (`add_hyperlinks.py`) in your working directory.
2. Ensure your images are stored in a folder accessible from the script.
3. Open the command line or terminal and navigate to your working directory.
4. Run the script with the following command:

```bash
python add_hyperlinks12.py
```

### 3. Input Parameters

- `file_path`: Path to the Excel file.
- `input_folder`: Path to the folder containing the images.

### 4. Output

The script will create a modified Excel file with hyperlinks added to the specified column.

## Notes

- Make sure to adjust the column header name according to your Excel file.
- The script assumes the image IDs in the Excel file match the filenames of the images.

## Example

Suppose you have an Excel file named `data.xlsx` with a column named `photoID` containing image IDs. The corresponding images are stored in a folder named `images`.

You would run the script as follows:

```bash
python add_hyperlinks12.py
```
```
Enter the path to the folder: images
Enter the path to the Excel file: data.xlsx
```

This will create a modified Excel file with hyperlinks added to the `photoID` column.
