import os
import openpyxl
from openpyxl.styles import Font


def image_exists(image_path):
    return True if os.path.exists(os.path.join(image_path)) else False


def image_path_exists(filenames, photo_id):
    for filename in filenames:
        if photo_id in filename:
            return filename
    return None


def add_hyperlinks_to_excel(file_path, input_folder):
    wb = openpyxl.load_workbook(file_path)
    hyperlink_font = Font(color="0000FF", underline="single")

    filenames = os.listdir(input_folder)
    for sheet_name in wb.sheetnames:
        sheet = wb[sheet_name]
        print('Generating excel for: ' + sheet_name + '....')
        id_column = None
        for col in range(1, sheet.max_column + 1):
            if sheet.cell(row=1, column=col).value in ["Photo ID", "Photo ID ", "Photoal ID", "Photoal ID "]:
                id_column = col
                break

        if id_column is not None:
            for row in range(2, sheet.max_row + 1):
                cell = sheet.cell(row=row, column=id_column)
                photo_id = cell.value

                full_image_path = ""
                try:
                    image_path = image_path_exists(filenames, photo_id)
                    if image_path:
                        full_image_path = os.path.join(input_folder, image_path)
                        # print(f"Image '{image_path}' exists at '{full_image_path}'")
                except Exception as e:
                    if photo_id is not None:
                        full_image_path = input_folder + '/' + photo_id + '.jpg'

                if image_exists(full_image_path):
                    cell.hyperlink = full_image_path
                    cell.value = photo_id
                    cell.font = hyperlink_font

    new_excel = os.path.splitext(file_path)[0] + '_modified.xlsx'
    wb.save(new_excel)
    print("Excel Generated")


if __name__ == "__main__":
    # folder_path = input("Enter the path to the photo folder: ")
    folder_path = "C:\Users\muussa\Desktop\AADA-Photos"
    # excel_path = input("Enter the path to the Excel file: ")
    excel_path = "C:\Users\muussa\Desktop\AADA-DATA\AADA-DATABase\AADA Iron Age\AADA Iron Age.xlsx"
    add_hyperlinks_to_excel(excel_path, folder_path)